import * as t from "../types.js";
import { RandomRuntimeData } from "../gen/typegraph_core";
import { Materializer, Runtime } from "./mod.js";
interface RandomMat extends Materializer {
    runtime: number;
}
export declare class RandomRuntime extends Runtime {
    constructor(data: RandomRuntimeData);
    gen(out: t.Typedef): t.Func<t.Struct<{}>, t.Typedef, RandomMat>;
}
export {};
